%global bootstrap 1

%if !0%{?bootstrap}
%global tests 1
%endif

Name:    kalarm
Summary: Personal Alarm Scheduler
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2 and GFDL
URL:     https://www.kde.org/applications/utilities/kalarm

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz


%{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}

BuildRequires: boost-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libappstream-glib
BuildRequires: perl-generators

BuildRequires: cmake(Qt5DBus)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5Network)
BuildRequires: cmake(Qt5X11Extras)

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(Grantlee5)
BuildRequires: cmake(KF5Auth)
BuildRequires: cmake(KF5Codecs)
BuildRequires: cmake(KF5Completion)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5ConfigWidgets)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5GlobalAccel)
BuildRequires: cmake(KF5GuiAddons)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5IdleTime)
BuildRequires: cmake(KF5JobWidgets)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5KDELibs4Support)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5NotifyConfig)
BuildRequires: cmake(KF5Service)
BuildRequires: cmake(KF5TextEditTextToSpeech)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5XmlGui)

BuildRequires: pkgconfig(phonon4qt5)

%global majmin_ver 5.113.0
BuildRequires: kf5-akonadi-contacts-devel >= %{majmin_ver}
BuildRequires: kf5-akonadi-mime-devel >= %{majmin_ver}
BuildRequires: kf5-akonadi-server-devel >= %{majmin_ver}
BuildRequires: kf5-kcalendarcore-devel >= %{majmin_ver}
BuildRequires: kf5-kcalendarutils-devel >= %{majmin_ver}
BuildRequires: kf5-kholidays-devel >= %{majmin_ver}
BuildRequires: kf5-kidentitymanagement-devel >= %{majmin_ver}
BuildRequires: kf5-kmailtransport-devel >= %{majmin_ver}
BuildRequires: kf5-kmime-devel >= %{majmin_ver}
BuildRequires: kf5-kpimtextedit-devel >= %{majmin_ver}
BuildRequires: kf5-libkdepim-devel >= %{majmin_ver}
BuildRequires: kf5-mailcommon-devel >= %{majmin_ver}
BuildRequires: kf5-pimcommon-devel >= %{majmin_ver}

%if 0%{?tests}
BuildRequires: dbus-x11
BuildRequires: xorg-x11-server-Xvfb
%endif

Requires: kdepim-runtime >= %{majmin_ver}

Provides:  kf5-kalarmcal = %{version}-%{release}

%description
KAlarm is a personal alarm message, command and email scheduler.

%prep
%autosetup -p1


%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml ||:
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
dbus-launch --exit-with-session \
make test ARGS="--output-on-failure --timeout 20" -C %{_target_platform} ||:
%endif


%files -f %{name}.lang
%license LICENSES/*
%{_datadir}/dbus-1/interfaces/org.kde.kalarm.kalarm.xml
%{_datadir}/dbus-1/system-services/org.kde.kalarm.rtcwake.service
%{_datadir}/dbus-1/system.d/org.kde.kalarm.rtcwake.conf
%{_datadir}/polkit-1/actions/org.kde.kalarm.rtcwake.policy
%{_kf5_bindir}/kalarm
%{_kf5_bindir}/kalarmautostart
%{_kf5_datadir}/applications/org.kde.kalarm.desktop
%{_kf5_datadir}/config.kcfg/kalarmconfig.kcfg
%{_kf5_datadir}/icons/hicolor/*/apps/kalarm.*
%{_kf5_datadir}/icons/breeze-dark/actions/16/show-today.svg
%{_kf5_datadir}/icons/breeze-dark/actions/22/show-today.svg
%{_kf5_datadir}/icons/breeze/actions/16/show-today.svg
%{_kf5_datadir}/icons/breeze/actions/22/show-today.svg
%{_kf5_datadir}/kalarm/
%{_kf5_datadir}/knotifications5/kalarm.notifyrc
%{_kf5_datadir}/kxmlgui5/kalarm/kalarmui.rc
%{_kf5_datadir}/qlogging-categories5/*%{name}.*
%{_kf5_libexecdir}/kauth/kalarm_helper
%{_kf5_metainfodir}/org.kde.kalarm.appdata.xml
%{_sysconfdir}/xdg/autostart/kalarm.autostart.desktop
%{_kf5_libdir}/libkalarmcalendar.so.5
%{_kf5_libdir}/libkalarmcalendar.so.5.*
%{_kf5_libdir}/libkalarmplugin.so.5
%{_kf5_libdir}/libkalarmplugin.so.5.*
%{_kf5_qtplugindir}/pim5/kalarm/akonadiplugin.so


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
